## ros-kinetic-mm-radio 0.2.4

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(mm_radio)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin REQUIRED COMPONENTS
    ecl_build
    ecl_command_line
    ecl_exceptions
    ecl_threads
    ecl_time
    ecl_utilities
    mm_core_msgs
    mm_messages
    nanomsg
)

##############################################################################
# Catkin
##############################################################################

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS
        ecl_build
        ecl_command_line
        ecl_exceptions
        ecl_threads
        ecl_time
        ecl_utilities
        mm_core_msgs
        mm_messages
        nanomsg
)

##############################################################################
# Project Configuration
##############################################################################

# upgrade to c11 as soon as we are able.
ecl_enable_cxx11_compiler()
add_definitions(${catkin_DEFINITIONS})
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)
#add_subdirectory(tests)

##############################################################################
# Installs
##############################################################################

#install(
#    PROGRAMS 
#        scripts/foo
#    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#    )

#install(DIRECTORY launch
#        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
#)

=== src/tests/gtests/CMakeLists.txt ===
###############################################################################
# Test Macro
###############################################################################

macro(${PROJECT_NAME}_add_gtest test_name)
  set(target_name ${PROJECT_NAME}_test_${test_name})
  catkin_add_gtest(
      ${target_name}
      ${test_name}.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  # If we don't have gtest installed, then the target doesn't get made - check!
  if(TARGET ${target_name})
      target_link_libraries(${target_name} ${PROJECT_NAME} ${catkin_LIBRARIES})
  endif()
endmacro()

###############################################################################
# Google Tests
###############################################################################

mm_radio_add_gtest(radio)

=== debian/changelog ===
ros-kinetic-mm-radio (0.2.4-0xenial) xenial; urgency=high

  * bugfix for socket closing - was leaving sockets with id=0 hanging.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Jun 2016 04:00:00 -0000

ros-kinetic-mm-radio (0.2.2-0xenial) xenial; urgency=high

  * remove some debug printing

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 10 Oct 2015 04:00:00 -0000

ros-kinetic-mm-radio (0.2.0-0xenial) xenial; urgency=high

  * gtest added
  * first prototype of a 2-way pub-sub radio.
  * nanomsg demo radio program

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 17 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-mm-radio
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-threads, ros-kinetic-ecl-time, ros-kinetic-ecl-utilities, ros-kinetic-mm-core-msgs, ros-kinetic-mm-messages, ros-kinetic-nanomsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-mm-radio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-build, ros-kinetic-ecl-command-line, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-threads, ros-kinetic-ecl-time, ros-kinetic-ecl-utilities, ros-kinetic-mm-core-msgs, ros-kinetic-mm-messages, ros-kinetic-nanomsg
Description: Multiplexing many packet types across a two-way radio connection with publishers and subscribers.
 Great for embedded connections by two-way serial or ethernet types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mm-radio//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
